# TdApi.DeleteChatHistory

Package it.ernytech.tdlib

## Class TdApi.DeleteChatHistory

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.DeleteChatHistory

Enclosing class:
  TdApi

    public static class TdApi.DeleteChatHistory
    extends TdApi.Function

Deletes all messages in the chat only for the user. Cannot be used in channels and public supergroups.

Returns `Ok`

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `removeFromChatList` Pass true if the chat should be removed from the chats list.

### Constructor Summary

Constructors
`DeleteChatHistory()` Default constructor.
`DeleteChatHistory​(long chatId, boolean removeFromChatList)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### removeFromChatList

    public boolean removeFromChatList

Pass true if the chat should be removed from the chats list.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### DeleteChatHistory

    public DeleteChatHistory()

Default constructor.

#### DeleteChatHistory

    public DeleteChatHistory​(long chatId,
                             boolean removeFromChatList)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.
  `removeFromChatList` - Pass true if the chat should be removed from the chats list.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR